Kernel Issue



  • I chose to update the kernel to the latest version and now after I select the image to use for imaging, it tells me the kernel is too old.

    Any ideas? I have tried to load a few different kernels, but get the same message each time.


  • Developer

    @BrentC @fry_p Thanks heaps for reporting this. I just fixed it. You’ll find the very latest kernel at the top of the page again. Version 4.19.6 as of now.


  • Testers

    @george1421 I can get a screenshot to you on Monday, but I believe this is just simply an ordering issue on the Web UI in 1.5.5. I went to update the kernel, got the same message, and realized I installed 4.3, which was at the top of the list of available kernels. A lot of users including myself are used to it being ordered by newest to oldest. I had to go down near the bottom of the page to find 4.19.1.


  • Moderator

    @fry_p While I don’t now what is going on here just yet there is a few things I can tell you.

    1. In the inits there is a minimum kernel level. If the running kernel is below that level the startup scripts in the inits (FOS virtual hard drive) will complain and stop.
    2. Regardless of the names bzImage is called, you can check the actual version of the kernel by navigating to /var/www/html/fog/service/ipxe That is where the FOS boot kernels are located on the FOG server. You can then key in file bzImage to read the kernel version of bzImage.

    I find it hard to understand that the inits would be set higher than 4.19 since 4.19 is pretty new and the inits (buildroot) is typically several releases behind just for stability reasons.


  • Testers

    @BrentC , I just did the same thing. The kernels are now out of order in 1.5.5 on the kernel update page. Just find the highest number near the bottom. I think it is 4.19.1 or something. For some reason, they aren’t in any order I could figure out.


Log in to reply
 

467
Online

5.9k
Users

13.2k
Topics

124.1k
Posts